/*
Theme Name: SimplyLearn Child Theme
Theme URI: https://www.simplylearn.com
Version: 2.0.0
Description: SimplyLearn Child Theme
Author: SimplyLearn
Author URI: https://www.simplylearn.com
template: bb-theme
Text Domain: bb-theme-child
*/

/* Add your custom styles here...
Domain Path: /bb-theme-child/languages

wp i18n make-pot . languages/bb-theme-child.pot
sudo apt-get install php7.2-mbstring
*/

/*Set rem size to 100% to fix LearnDash font calculations*/
html {
  font-size: 100%;
}

/*Fix Popup of User Registration*/
.learndash-wrapper .ld-modal {
  transform: translateY(-35%) translateX(-50%) !important;
}
@media (max-width: 768px) {
  .learndash-wrapper .ld-modal {
    transform: translateY(0%) translateX(-50%) !important;
  }
}

/*Remove added padding on login menu item when on pages using the ld-button class*/
.fl-menu ul li.ld-button,
.fl-page-nav ul li.ld-button,
.top-bar-nav ul li.ld-button {
  padding: 0;
  font-size: inherit;
  font-weight: inherit;
  font-family: inherit;
  letter-spacing: inherit;
  line-height: inherit;
}

/*Fix list on BB theme on LearnDash*/
body.has-blocks .fl-post-content ul,
body.has-blocks .fl-post-content ol {
  margin: 0px !important;
}

/*Style your course profile: https://drive.google.com/file/d/1c59T_Bkfa9qxHZc2ZosdGjaHxl0zCh3g/view*/
.learndash-wrapper .ld-table-list .ld-table-list-header a.user_statistic,
.learndash-wrapper .ld-table-list .ld-table-list-item-preview a.user_statistic {
  display: inline-block;
  width: 120px;
  background-color: var(--wp--preset--color--fl-accent, var(--ast-global-color-0));
  padding: var(--ld-spacer-1);
  border-radius: var(--ld-button-border-radius-rounded);
  color: var(--ld-color-button);
}

.learndash-wrapper .ld-table-list .ld-table-list-header a.user_statistic:hover,
.learndash-wrapper .ld-table-list .ld-table-list-item-preview a.user_statistic:hover {
  background-color: var(--wp--preset--color--fl-accent-hover, var(--ast-global-color-1));
  color: var(--ld-color-button);
}

.learndash-wrapper .ld-table-list .ld-table-list-header a.user_statistic span.ld-icon.ld-icon-assignment,
.learndash-wrapper .ld-table-list .ld-table-list-item-preview a.user_statistic span.ld-icon.ld-icon-assignment {
  background-color: transparent !important;
  border-color: transparent !important;
}

.size-auto,
.size-full,
.size-large,
.size-medium,
.size-thumbnail {
  max-width: 100%;
  height: auto;
}

/*Fix Iframe height*/
.wp-block-embed__wrapper>iframe {
  width: 100%;
  height: 400px;
}

.is-provider-vimeo .wp-block-embed__wrapper>iframe,
.is-provider-youtube .wp-block-embed__wrapper>iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16/9;
}

.fl-page-header-logo {
  max-width: 200px;
}


/* Removing "Published in category" section - Sindre */
.fl-post-meta.fl-post-meta-bottom {
  display: none;
}

/* Removing promotional images from content cloner plugin */
.ui-dialog.ui-widget.ui-widget-content.ui-corner-all.ui-front img {
  display: none !important;
}

.carousel-inner img {
  display: none;
}

div#myCarousel {
  display: none !important;
}

.carousel-inner {
  display: none !important;
}

/* Remove grade disclaimer */
p.graded-disclaimer {
  display: none;
}

/*hide Astra*/
img.powerdbyastraimg {
  display: none;
}


.wpProQuiz_content .wpProQuiz_questionListItem.wpProQuiz_answerIncorrect.wpProQuiz_answerCorrect label.is-selected {
  border-color: #00a2e8;
}

/* override bb parent theme issue for zoho desk asap widget styling */
.zd-launcher-button {
  position: fixed !important;
}